Bug 184628 - [MAINTAINER] sysutils/xmbmon: STAGE/LICENSE/PATCH
[MAINTAINER] sysutils/xmbmon: STAGE/LICENSE/PATCH
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Sunpoet Po-Chuan Hsieh
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-12-09 11:00 UTC by Muhammad Moinur Rahman
Modified: 2013-12-25 15:28 UTC (History)
1 user (show)

See Also:


Attachments
xmbmon-205_10.patch (15.80 KB, patch)
2013-12-09 11:00 UTC, Muhammad Moinur Rahman
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Muhammad Moinur Rahman freebsd_committer 2013-12-09 11:00:00 UTC
[DESCRIBE CHANGES]
- Added STAGE support
- Added LICENSE
- Merged sysutils/mbmon and this into a single port with the help of OPTIONSNG
- Merged PR ports/184521 so it should be closed
- sysutils/mbmon should be marked depreciated and deleted as this has been merged

For Committer's reference:
http://pdr.s.ubze.ro/bulk/latest-per-pkg/xmbmon/205_10/84i386-default.log
http://pdr.s.ubze.ro/bulk/latest-per-pkg/xmbmon/205_10/84amd64-default.log
http://pdr.s.ubze.ro/bulk/latest-per-pkg/xmbmon/205_10/92i386-default.log
http://pdr.s.ubze.ro/bulk/latest-per-pkg/xmbmon/205_10/92amd64-default.log
http://pdr.s.ubze.ro/bulk/latest-per-pkg/xmbmon/205_10/10b3i386-default.log
http://pdr.s.ubze.ro/bulk/latest-per-pkg/xmbmon/205_10/10b3amd64-default.log
http://pdr.s.ubze.ro/bulk/latest-per-pkg/xmbmon/205_10/11i386-default.log
http://pdr.s.ubze.ro/bulk/latest-per-pkg/xmbmon/205_10/11amd64-default.log

Generated with FreeBSD Port Tools 0.99_8 (mode: change, diff: ports)
Comment 1 Edwin Groothuis freebsd_committer 2013-12-09 11:00:09 UTC
Responsible Changed
From-To: freebsd-ports-bugs->sunpoet

sunpoet@ wants this submitter's PRs (via the GNATS Auto Assign Tool)
Comment 2 dfilter freebsd_committer 2013-12-25 15:07:58 UTC
Author: sunpoet
Date: Wed Dec 25 15:07:47 2013
New Revision: 337423
URL: http://svnweb.freebsd.org/changeset/ports/337423

Log:
  - Add LICENSE [2]
  - Merge sysutils/mbmon [2]
  - Add support for Intel 82801I (ICH9) SMBus controller [1]
  - Support STAGEDIR [2]
  
  PR:		ports/184521 [1], ports/184628 [2]
  Submitted by:	Dmitry S. Luhtionov <mitya@cabletv.dp.ua> [1],
  		Muhammad Moinur Rahman <5u623l20@gmail.com> (maintainer) [2]

Added:
  head/sysutils/xmbmon/distinfo   (contents, props changed)
  head/sysutils/xmbmon/files/mbmon.in   (contents, props changed)
  head/sysutils/xmbmon/files/patch-Makefile.in   (contents, props changed)
  head/sysutils/xmbmon/files/patch-configure   (contents, props changed)
  head/sysutils/xmbmon/files/patch-getMB-smb_ioctl.c   (contents, props changed)
  head/sysutils/xmbmon/files/patch-mbmon.c   (contents, props changed)
  head/sysutils/xmbmon/files/patch-pci__pm.c   (contents, props changed)
  head/sysutils/xmbmon/files/patch-pci__pm.h   (contents, props changed)
  head/sysutils/xmbmon/files/patch-sens_lm85.c   (contents, props changed)
  head/sysutils/xmbmon/files/patch-sens_winbond.c   (contents, props changed)
  head/sysutils/xmbmon/files/patch-testsmb.c   (contents, props changed)
  head/sysutils/xmbmon/pkg-descr   (contents, props changed)
Modified:
  head/sysutils/xmbmon/Makefile   (contents, props changed)

Modified: head/sysutils/xmbmon/Makefile
==============================================================================
--- head/sysutils/xmbmon/Makefile	Wed Dec 25 15:07:34 2013	(r337422)
+++ head/sysutils/xmbmon/Makefile	Wed Dec 25 15:07:47 2013	(r337423)
@@ -2,21 +2,68 @@
 # $FreeBSD$
 
 PORTNAME=	xmbmon
-PORTREVISION=	9
-
-COMMENT=	X motherboard monitor for LM78/79, W8378x, AS99127F, VT82C686, and ADM9240
-
-MASTERDIR=	${.CURDIR}/../mbmon
-
+PORTVERSION=	205
+PORTREVISION=	10
+CATEGORIES=	sysutils
+MASTER_SITES=	http://www.nt.phys.kyushu-u.ac.jp/shimizu/download/${PORTNAME}/
+DISTNAME=	${PORTNAME}${PORTVERSION}
+
+MAINTAINER=	5u623l20@gmail.com
+COMMENT=	MB monitor for LM78/79, W8378x, AS99127F, VT82C686 and ADM9240
+
+LICENSE=	BSD
+
+PORTSCOUT=	limit:^[0-9]+$
+PATCH_SITES+=	${MASTER_SITES}
+PATCHFILES+=	${PORTNAME}${PORTVERSION}_fflush.patch
+
+ONLY_FOR_ARCHS=	i386 amd64
+GNU_CONFIGURE=	yes
+
+PORTDOCS=	ChangeLog ChangeLog.jp ReadMe ReadMe.jp ReadMe.tech
+
+OPTIONS_DEFINE=	ASUS SMB DOCS
+OPTIONS_MULTI=	INTERFACE
+OPTIONS_MULTI_INTERFACE=	CLI X11
+OPTIONS_DEFAULT=SMB CLI
+ASUS_DESC=	"Enable A7N8X-VM support"
+SMB_DESC=	"Enable smb(4) support"
+CLI_DESC=	"CLI support only"
+
+ASUS_PATCHFILES=	${PORTNAME}${PORTVERSION}_A7N8X-VM.patch
+X11_PLIST_FILES=	lib/X11/app-defaults/${PORTNAME} \
+			man/man1/${PORTNAME}.1x.gz
+CLI_PLIST_FILES=	bin/mbmon \
+			man/man1/mbmon.1.gz
+
+.include <bsd.port.options.mk>
+
+.if !${PORT_OPTIONS:MX11}
+MAKE_ARGS=	PROGRAM="mbmon"
+.else
 USE_XORG=	x11 xt
-EXTRA_PATCHES=	${.CURDIR}/files/patch-*
-
-PLIST_FILES=	lib/X11/app-defaults/XMBmon
-MAN1=		xmbmon.1x
+.endif
 
-NO_STAGE=	yes
-post-install:
-	${MKDIR} ${PREFIX}/lib/X11/app-defaults
-	${INSTALL_DATA} ${WRKSRC}/xmbmon.resources ${PREFIX}/lib/X11/app-defaults/XMBmon
+.if ${PORT_OPTIONS:MCLI}
+USE_RC_SUBR=	mbmon
+.endif
+
+post-patch:
+	@${REINPLACE_CMD} -e 's+/usr/share/doc/mbmon+${STAGEIR}${DOCSDIR}+' ${WRKSRC}/mbmon.1
+	@${REINPLACE_CMD} -e 's+%%STAGEDIR%%%%PREFIX%%+${STAGEDIR}${PREFIX}+' ${WRKSRC}/Makefile.in
+.if !${PORT_OPTIONS:MX11}
+	@${REINPLACE_CMD} -e '/p xmbmon/d' ${WRKSRC}/Makefile.in
+.endif
+.if !${PORT_OPTIONS:MCLI}
+	@${REINPLACE_CMD} -e '/p mbmon/d' ${WRKSRC}/Makefile.in
+.endif
+.if ${PORT_OPTIONS:MSMB}
+	@${REINPLACE_CMD} -e 's/^DEFS=/&-DSMBUS_IOCTL /' ${WRKSRC}/Makefile.in
+.endif
+
+.if ${PORT_OPTIONS:MDOCS}
+	${MKDIR} ${STAGEDIR}${DOCSDIR}
+	${INSTALL_DATA} ${PORTDOCS:S|^|${WRKSRC}/|} ${STAGEDIR}${DOCSDIR}
+.endif
 
-.include "${MASTERDIR}/Makefile"
+.include <bsd.port.mk>

Added: head/sysutils/xmbmon/distinfo
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/sysutils/xmbmon/distinfo	Wed Dec 25 15:07:47 2013	(r337423)
@@ -0,0 +1,6 @@
+SHA256 (xmbmon205.tar.gz) = 65b10ebfe53585ac22d6a31d8ef3fea552cb266cf2c124c00421dec1df5a4a4f
+SIZE (xmbmon205.tar.gz) = 142987
+SHA256 (xmbmon205_fflush.patch) = f837f465861ce46e4a90d1d3c7a680c1904f7fb91e14efcbad22313c90e2cdc7
+SIZE (xmbmon205_fflush.patch) = 242
+SHA256 (xmbmon205_A7N8X-VM.patch) = 20565e0b1216d3becb87f796fa547e81fec84e37cff05405eb8f71bc97eebc68
+SIZE (xmbmon205_A7N8X-VM.patch) = 274

Added: head/sysutils/xmbmon/files/mbmon.in
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/sysutils/xmbmon/files/mbmon.in	Wed Dec 25 15:07:47 2013	(r337423)
@@ -0,0 +1,32 @@
+#!/bin/sh
+#
+# $FreeBSD$
+#
+
+# PROVIDE: mbmon
+# REQUIRE: LOGIN
+# BEFORE:  securelevel
+# KEYWORD: shutdown
+
+# Add the following lines to /etc/rc.conf to enable the mbmon daemon:
+#
+# mbmon_enable="YES"
+# mbmon_flags="<set as needed>"
+#
+# See mbmon(1) for mbmon_flags
+# Set mbmon_port to the TCP port to listen to, default is 12999
+
+. /etc/rc.subr
+
+name="mbmon"
+rcvar=mbmon_enable
+
+# read configuration and set defaults
+load_rc_config "$name"
+: ${mbmon_enable="NO"}
+: ${mbmon_port="12999"}
+
+command="%%PREFIX%%/bin/${name}"
+command_args="-P ${mbmon_port}"
+
+run_rc_command "$1"

Added: head/sysutils/xmbmon/files/patch-Makefile.in
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/sysutils/xmbmon/files/patch-Makefile.in	Wed Dec 25 15:07:47 2013	(r337423)
@@ -0,0 +1,48 @@
+--- Makefile.in.orig	Wed Feb  1 20:12:01 2006
++++ Makefile.in	Wed Feb  1 20:12:22 2006
+@@ -27,9 +27,9 @@
+ 
+ #CC=/compat/linux/usr/bin/gcc
+ CC=@CC@
+-CFLAGS=-O3 $(INCLUDES) $(DEFS)
++CFLAGS+=$(INCLUDES) $(DEFS)
+ CFLAGSX=$(CFLAGS) @X_CFLAGS@
+-LDFLAGS=-s
++LDFLAGS=
+ 
+ LINT=lint
+ # LINT=$(CC) -c -Wall -Wshadow -Wpointer-arith
+@@ -37,9 +37,9 @@
+ RM=rm -f
+ INSTALL=install
+ 
+-INST_DIR=/usr/local/bin
+-INST_MANDIR=/usr/local/man/man1
+-INST_XDIR=/usr/X11R6/bin
++INST_DIR=%%STAGEDIR%%%%PREFIX%%/bin
++INST_MANDIR=%%STAGEDIR%%%%PREFIX%%/man/man1
++INST_XDIR=%%STAGEDIR%%%%PREFIX%%/lib/X11/app-defaults
+ INST_MANXDIR=/usr/X11R6/man/man1
+ INST_XRDIR=/usr/X11R6/lib/X11/app-defaults
+  
+@@ -56,7 +56,7 @@
+ HWM_OBJ = sens_winbond.o sens_via686.o sens_it87.o sens_gl52.o sens_lm85.o sens_lm80.o sens_lm90.o sens_lm75.o sens_wl784.o smb_extemp.o
+ OBJS = getMBinfo.o tyan_tiger.o pci_pm.o sensors.o $(MB_OBJ) $(SMB_OBJ) $(HWM_OBJ)
+ 
+-all: $(PROGRAM)
++all: $(PROGRAM) $(MANPAGE)
+ 
+ mbmon: mbmon.c mbmon.h methods.h pci_pm.h smbuses.h sensors.h $(OBJS)
+ 	$(CC) $(CFLAGS) $(LDFLAGS) -o $@ mbmon.c $(OBJS) $(LIBS)
+@@ -135,10 +135,8 @@
+ install: $(PROGRAM)
+ 	$(INSTALL) -o root -g wheel -m 4555 -c -p mbmon $(INST_DIR)
+ 	$(INSTALL) -o root -g wheel -m 4555 -c -p xmbmon $(INST_XDIR)
+-
+-install-man: $(MANPAGE)
+ 	$(INSTALL) -o root -g wheel -m 444 -c -p mbmon.1 $(INST_MANDIR)
+-	$(INSTALL) -o root -g wheel -m 444 -c -p xmbmon.1x $(INST_MANXDIR)
++	$(INSTALL) -o root -g wheel -m 444 -c -p xmbmon.1x $(INST_MANDIR)
+ 
+ lint:
+ 	$(LINT) $(INCLUDES) $(DEFS) $(FONTDEFINES) $(SRCS) -lm

Added: head/sysutils/xmbmon/files/patch-configure
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/sysutils/xmbmon/files/patch-configure	Wed Dec 25 15:07:47 2013	(r337423)
@@ -0,0 +1,27 @@
+--- configure.orig	Wed Feb  1 20:34:58 2006
++++ configure	Wed Feb  1 20:35:38 2006
+@@ -3487,7 +3487,6 @@
+ 
+ case "${host}" in
+ 	i?86-*-freebsd*)
+-  		CC=cc
+ 		;;
+ 	i?86-*-linux-*)
+   		CC=gcc
+@@ -3499,7 +3498,6 @@
+ 		ADDLIBS="-li386"
+ 		;;
+ 	*)
+-  		CC=gcc
+ 		;;
+ esac
+ 
+@@ -3946,7 +3944,7 @@
+ done
+ 
+ 
+-for ac_header in machine/smb.h
++for ac_header in dev/smbus/smb.h machine/smb.h
+ do
+ as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
+ if eval "test \"\${$as_ac_Header+set}\" = set"; then

Added: head/sysutils/xmbmon/files/patch-getMB-smb_ioctl.c
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/sysutils/xmbmon/files/patch-getMB-smb_ioctl.c	Wed Dec 25 15:07:47 2013	(r337423)
@@ -0,0 +1,24 @@
+$FreeBSD$
+
+--- getMB-smb_ioctl.c.orig	Sat Jul  5 18:15:24 2003
++++ getMB-smb_ioctl.c	Fri Dec 16 17:56:54 2005
+@@ -5,6 +5,7 @@
+ #ifdef HAVE_SMBUS
+ /* assume SMBus ioctl support, only for FreeBSD */
+ 
++#include <sys/param.h>
+ #include <stdlib.h>
+ #include <stdio.h>
+ #include <fcntl.h>
+@@ -13,7 +14,11 @@
+ #include <sys/types.h>
+ #include <sys/ioctl.h>
+ 
++#if __FreeBSD_version >= 500000
++#include <dev/smbus/smb.h>
++#else
+ #include <machine/smb.h>
++#endif
+ 
+ #include "methods.h"
+ 

Added: head/sysutils/xmbmon/files/patch-mbmon.c
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/sysutils/xmbmon/files/patch-mbmon.c	Wed Dec 25 15:07:47 2013	(r337423)
@@ -0,0 +1,27 @@
+--- mbmon.c.orig	2004-08-13 16:23:32.000000000 +0900
++++ mbmon.c	2009-06-10 12:13:47.000000000 +0900
+@@ -315,7 +315,7 @@
+ 
+ 	name = argv[0];
+ #if !defined(LINUX) && defined(HAVE_SMBUS) && defined(SMBUS_IOCTL)
+-	while ((ch = getopt(argc,argv,"VSIAfdDYe:p:s:c:T:F:tunNirh")) != -1) {
++	while ((ch = getopt(argc,argv,"VSIAfdDYe:p:s:c:T:F:tunNirhP:")) != -1) {
+ #else
+ 	while ((ch = getopt(argc,argv,"VSIAfdDYe:p:c:T:F:tunNirhP:")) != -1) {
+ #endif
+@@ -641,6 +641,7 @@
+ 			fprintf(out, "%4d\n%4d\n%4d\n", rot1, rot2, rot3);
+ 	}
+ 	if (port) {
++		fflush(out);
+ #ifdef LOGGING
+ 		if (nfd)
+ #endif
+@@ -659,6 +660,7 @@
+ 	if (hostname_flag == 1) {
+ 		hostname(sh_flag);
+ 	}
++	fflush(stdout);
+ 
+ /* count */
+ 	if (count != 0) {

Added: head/sysutils/xmbmon/files/patch-pci__pm.c
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/sysutils/xmbmon/files/patch-pci__pm.c	Wed Dec 25 15:07:47 2013	(r337423)
@@ -0,0 +1,36 @@
+--- pci_pm.c.orig	2004-08-17 22:38:04.000000000 +0600
++++ pci_pm.c	2013-12-05 23:58:00.000000000 +0600
+@@ -64,7 +64,7 @@
+ 			comt = "Intel8XX(ICH/ICH2/ICH3/ICH4/ICH5/ICH6)";
+ 			break;
+ 		case AMD756SMB:
+-			comt = "AMD756/766/768";
++			comt = "AMD756/766/768/8111";
+ 			break;
+ 		case NFORCESMB:
+ 			comt = "NVidia nForce";
+@@ -158,6 +158,7 @@
+ 		case ID_I801CA:
+ 		case ID_I801DB:
+ 		case ID_I801EB:
++		case ID_I801IB:
+ 		case ID_I6300ESB:
+ 		case ID_IICH6:
+ 			ret = ICH801SMB;
+@@ -166,6 +167,7 @@
+ 		case ID_AMD756:
+ 		case ID_AMD766:
+ 		case ID_AMD768:
++		case ID_AMD8111_1:
+ 			ret = AMD756SMB;
+ 			inq_smbba = getSMBBA3;
+ 			break;
+@@ -182,7 +184,7 @@
+ 				inq_smbba = getSMBBA4;
+ 			}
+ 			break;
+-		case ID_AMD8111:
++		case ID_AMD8111_2:
+ 			ret = AMD8111SMB;
+ 			inq_smbba = getSMBBA6;
+ 			break;

Added: head/sysutils/xmbmon/files/patch-pci__pm.h
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/sysutils/xmbmon/files/patch-pci__pm.h	Wed Dec 25 15:07:47 2013	(r337423)
@@ -0,0 +1,31 @@
+--- pci_pm.h.orig	2004-07-14 21:02:49.000000000 +0600
++++ pci_pm.h	2013-12-05 23:53:34.000000000 +0600
+@@ -32,10 +32,10 @@
+ #define getSMBBA0	0x90	/* PIIX4, VIA596,686 */
+ #define getSMBBA1	0xD0	/* VT8233/A/C */
+ #define getSMBBA2	0x20	/* Intel801_ICH's */
+-#define getSMBBA3	0x58	/* AMD756,766,768 */
++#define getSMBBA3	0x58	/* AMD756,766,768,8111 */
+ #define getSMBBA4	0x14	/* NVidia nForce */
+ #define getSMBBA5	0xE2	/* ALI7101 */
+-#define getSMBBA6	0x10	/* AMD8111 */
++#define getSMBBA6	0x10	/* AMD8111 SMBus 2.0 */
+ #define getSMBBA70	0x50	/* NVidia nForce2, bus0 */
+ #define getSMBBA71	0x54	/* NVidia nForce2, bus1 */
+ 
+@@ -63,12 +63,14 @@
+ #define ID_I801CA	0x24838086
+ #define ID_I801DB	0x24C38086
+ #define ID_I801EB	0x24D38086
++#define ID_I801IB	0x29308086
+ #define ID_I6300ESB	0x25A48086
+ #define ID_IICH6	0x266A8086
+ #define ID_AMD756	0x740B1022
+ #define ID_AMD766	0x74131022
+ #define ID_AMD768	0x74431022
+-#define ID_AMD8111	0x746A1022
++#define ID_AMD8111_1	0x746B1022
++#define ID_AMD8111_2	0x746A1022
+ #define ID_NFORCE	0x01B410DE
+ #define ID_NFORCE2	0x006410DE
+ #define ID_ALI7101	0x710110B9

Added: head/sysutils/xmbmon/files/patch-sens_lm85.c
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/sysutils/xmbmon/files/patch-sens_lm85.c	Wed Dec 25 15:07:47 2013	(r337423)
@@ -0,0 +1,71 @@
+$FreeBSD$
+
+--- sens_lm85.c	Mon Oct 13 10:12:58 2003
++++ sens_lm85.c	Wed Dec 21 15:37:56 2005
+@@ -53,7 +53,6 @@
+ #define ADM_24FAN(nr)	(0x28 + (nr))
+ #define ADM_24FANDIV	0x47
+ #define ADM_24MODE		0x16
+-#define ADM_TEMPOFF(nr)	(0x70 + (nr))
+ #define ADM_EXTRES1		0x76
+ #define ADM_EXTRES2		0x77
+ #define ADM_FANPPR		0x7B
+@@ -213,7 +212,7 @@
+ static	float	lm85_temp( LM_METHODS *method, int no )
+ {
+ 	int n, ne;
+-	float ext = 0.0, offset = 0.0;
++	float ext = 0.0;
+ 
+ 	if (no < 0 || 2 < no)
+ 		return 0xFFFF;
+@@ -226,18 +225,20 @@
+ 	} else if (lm85chipid >= ADM1027) {
+ 		ne = method->Read(ADM_EXTRES2);	
+ 		ext = 0.25 * ((ne >> ((no + 1) * 2)) & 0x03);
+-		n = method->Read(ADM_TEMPOFF(no));
+-		if (n > 0x80)
+-			n -= 0xFF;
+-		offset = (float) n;
++		/* Unlock temperature registers. */
++		if (no != 0) method->Read(LM85_TEMP(0));
++		if (no != 1) method->Read(LM85_TEMP(1));
++		if (no != 2) method->Read(LM85_TEMP(2));
++		/* Unlock voltage register. */
++		method->Read(LM85_VOLT(4));
+ 	}
+ 	n = method->Read(LM85_TEMP(no));
+ 	if (n == 0x80)
+ 		return 0xFFFF;
+ 	else if (n > 0x80)
+-		return (float) (n - 0xFF) + ext - offset;
++		return (float) (n - 0xFF) + ext;
+ 	else
+-		return (float) n + ext - offset;
++		return (float) n + ext;
+ }
+ 
+ 
+@@ -262,10 +263,20 @@
+ 		return 0xFFFF;
+ 
+ 	if (lm85chipid >= ADM1027) {
+-		if (no == 4)
++		if (no == 4) {
+ 			ne = method->Read(ADM_EXTRES2) & 0x03;
+-		else
++			/* Unlock temperature registers. */
++			method->Read(LM85_TEMP(0));
++			method->Read(LM85_TEMP(1));
++			method->Read(LM85_TEMP(2));
++		} else {
+ 			ne = (method->Read(ADM_EXTRES1) >> (no * 2)) & 0x03;
++			/* Unlock voltage registers. */
++			if (no != 0) method->Read(LM85_VOLT(0));
++			if (no != 1) method->Read(LM85_VOLT(1));
++			if (no != 2) method->Read(LM85_VOLT(2));
++			if (no != 3) method->Read(LM85_VOLT(3));
++		}
+ 	}
+ 	n = method->Read(LM85_VOLT(no));
+ 	if (lm85chipid >= ADM1027)

Added: head/sysutils/xmbmon/files/patch-sens_winbond.c
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/sysutils/xmbmon/files/patch-sens_winbond.c	Wed Dec 25 15:07:47 2013	(r337423)
@@ -0,0 +1,11 @@
+--- sens_winbond.c	Fri Jul  9 07:34:41 2004
++++ sens_winbond.c	Wed May  3 16:43:40 2006
+@@ -245,6 +244,8 @@
+ 		case 0x20:	/* 0x20 (or 0x21) 627HF */
+ 		case 0x90:	/* 0x90 (or 0x91?) 627THF */
+ 		case 0x1A:	/* 0x1A (??)  627THF-A */
++		case 0xA0:	/* 0xA0 (or 0xA1) */
++		case 0xC0:	/* 0xC0 (or 0xC1) 627DHG */
+ 			wbdchipid = W83627HF;
+ 			break;
+ 		case 0x30:	/* 0x30 (or 0x31) */

Added: head/sysutils/xmbmon/files/patch-testsmb.c
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/sysutils/xmbmon/files/patch-testsmb.c	Wed Dec 25 15:07:47 2013	(r337423)
@@ -0,0 +1,44 @@
+$FreeBSD$
+
+--- testsmb.c	Thu Aug 12 07:34:48 2004
++++ testsmb.c	Fri Dec 30 23:11:29 2005
+@@ -105,8 +105,9 @@
+ 	case ID_AMD756:
+ 	case ID_AMD766:
+ 	case ID_AMD768:
++	case ID_AMD8111_1:
+ 		smbus = &smbus_amd;
+-		fprintf(stderr, "AMD756/766/768 found.\n");
++		fprintf(stderr, "AMD756/766/768/8111 found.\n");
+ 		break;
+ 	case ID_NFORCE:
+ 		smbus = &smbus_amd;
+@@ -116,9 +117,9 @@
+ 		smbus = &smbus_ali;
+ 		fprintf(stderr, "ALi M1535D+ found.\n");
+ 		break;
+-	case ID_AMD8111:
++	case ID_AMD8111_2:
+ 		smbus = &smbus_amd8;
+-		fprintf(stderr, "AMD8111 found.\n");
++		fprintf(stderr, "AMD8111 SMBus 2.0 found.\n");
+ 		break;
+ 	case ID_NFORCE2:
+ 		smbus = &smbus_amd8;
+@@ -126,7 +127,7 @@
+ 		break;
+ 	default:
+ 		fprintf(stderr, "No known SMBus(I2C) chip found.\n");
+-		goto exit;
++		continue;
+ 	}
+ 
+ 	if(OpenIO() == -1) return -1;
+@@ -141,7 +142,6 @@
+ 	}
+ 	
+ 	CloseIO();
+-exit:
+ 	;	/* dummy statment for gcc 3.4 or after */
+ 
+   } /* endo of Big loop for smb_base candidates */

Added: head/sysutils/xmbmon/pkg-descr
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/sysutils/xmbmon/pkg-descr	Wed Dec 25 15:07:47 2013	(r337423)
@@ -0,0 +1,13 @@
+This is a X/tty motherboard monitor which supports LM78/79, WINBond
+83781D/83782D/83783S, ASUS 991227F, and VIA VT82C686A/B PC-health
+chips via 3 methods: ISA-I/O, SMBus, VIA-direct.
+
+Run "mbmon -h" or "xmbmon -help" to see the usage.
+
+***CAUTION*** 
+
+These programs access to the SMBus or the ISA-IO port directly under
+the superuser privilege, so it may cause a system crash.  Please test
+"mbmon -d" or "xmbmon -debug" first.
+
+WWW: http://www.nt.phys.kyushu-u.ac.jp/shimizu/download/download.html
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 dfilter freebsd_committer 2013-12-25 15:08:05 UTC
Author: sunpoet
Date: Wed Dec 25 15:07:57 2013
New Revision: 337424
URL: http://svnweb.freebsd.org/changeset/ports/337424

Log:
  - Mark as DEPRECATED and set EXPIRATION_DATE to 2014-01-31
  
  PR:		ports/184628
  Submitted by:	Muhammad Moinur Rahman <5u623l20@gmail.com> (maintainer)

Modified:
  head/sysutils/mbmon/Makefile   (contents, props changed)

Modified: head/sysutils/mbmon/Makefile
==============================================================================
--- head/sysutils/mbmon/Makefile	Wed Dec 25 15:07:47 2013	(r337423)
+++ head/sysutils/mbmon/Makefile	Wed Dec 25 15:07:57 2013	(r337424)
@@ -11,6 +11,9 @@ DISTNAME=	xmbmon${PORTVERSION}
 MAINTAINER=	5u623l20@gmail.com
 COMMENT?=	Motherboard monitor for LM78/79, W8378x, AS99127F, VT82C686 and ADM9240
 
+DEPRECATED=	Use sysutils/xmbmon instead. This port will be removed soon
+EXPIRATION_DATE=2014-01-31
+
 PORTSCOUT=	limit:^[0-9]+$
 PATCH_SITES+=	${MASTER_SITES}
 PATCHFILES+=	xmbmon${PORTVERSION}_fflush.patch
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 4 Sunpoet Po-Chuan Hsieh freebsd_committer 2013-12-25 15:28:33 UTC
State Changed
From-To: open->closed

Committed. Thanks!